编程语言

img ldgs

安装Eclipse和Lomboz碰到的一些问题

发表于2004/10/21 0:24:00  2438人阅读

分类: 我爱Java

安装步骤无非是下载、解压、拷贝、配置,网上一大把教程,不需多说。

安装时有些小问题值得注意:
1、下载时注意Eclipse和Lomboz版本号很重要
 一般来说相同版本号的才比较兼容。
 即:2.0的Eclipse对应插件就装2.0的Lomboz;Eclipse3.01就对应装插件lomboz.301,这样不容易出错,下载时最好认真看清楚网站上的说明,否则有时安装总出现莫名其妙的问题,浪费时间。

2、安装Lomboz需要gef和emf插件的支持,所以光下载安装 Eclipse3.01,和lomboz.301.zip还不够,必须下载以下四个插件:
 Eclipse3.01
 lomboz.301.zip
 GEF-runtime-3.0.1.zip
 emf-sdo-runtime-2.0.0.zip

这一点很容易被忽视,结果安装时有时就会碰到一个问题:
 按照步骤安装好后,启动Eclipse,结果【window】--->【Preference】左侧菜单上跟本找不到lomboz一项。
 而在【Help】-->【About Eclipse Platform】--->【Plug-in Details】 里面查看,却又明明显示lomboz插件已都安装好了。这个问题折腾了我半天,网上一些中文安装教程都没明确说清楚,其实要安装好lomboz,gef和emf这两个插件也是需要装的。

3、有时启动Eclipse未加载插件,解决方法很多,总结一下:

 a 、 删除整个目录/eclipse/configuration/org.eclipse.update/,重启Eclipse

 b 、在启动Eclipse时带上 -clean参数
          如:d:/eclipse/eclipse.exe -clean

 c 、 如果Eclipse启动找不到插件了,解决办法: 在/configuration/config.ini文件中加入一行
  osgi.checkConfiguration=true
  这样它会寻找并安装插件,找到后可以把那行再注释掉,这样以后每次启动就不会因寻找插件而显得慢了。

4、为了便于管理众多插件,建议用links方式安装各种eclipse插件

阅读全文
0 0

相关文章推荐

img
取 消
img